MyGUI: MyGUI::Any Class Reference

MyGUI 3.4.3

Public Member Functions | Static Public Attributes
MyGUI::Any Class Reference

`#include <MyGUI_Any.h>`

## Public Member Functions
| Any ()
| Any (const Any &other)
| Any (Any &&other) noexcept
| ~Any ()
template<typename ValueType>
| Any (const ValueType &value)
template<typename ValueType>
Any & | operator= (const ValueType &rhs)
Any & | operator= (const Any &rhs)
Any & | operator= (Any &&rhs) noexcept
bool | empty () const
const std::type_info & | getType () const
template<typename ValueType>
ValueType * | castType (bool _throw=true) const
bool | compare (const Any &other) const

## Static Public Attributes
static const Any | Null {}

## Detailed Description

Examples
  Class Any usage.

Definition at line 55 of file MyGUI_Any.h.

## Constructor & Destructor Documentation

## ◆ Any() [1/4]

MyGUI::Any::Any | ( |  | ) |
| default

## ◆ Any() [2/4]

MyGUI::Any::Any | ( | const Any & | other | ) |

Definition at line 17 of file MyGUI_Any.cpp.

## ◆ Any() [3/4]

MyGUI::Any::Any | ( | Any && | other | ) |
| defaultnoexcept

## ◆ ~Any()

MyGUI::Any::~Any | ( |  | ) |
| default

## ◆ Any() [4/4]

template<typename ValueType>

MyGUI::Any::Any | ( | const ValueType & | value | ) |
| inline

Definition at line 65 of file MyGUI_Any.h.

## Member Function Documentation

## ◆ castType()

template<typename ValueType>

ValueType * MyGUI::Any::castType | ( | bool | _throw = true | ) | const
| inline

Examples
  Class Any usage.

Definition at line 85 of file MyGUI_Any.h.

## ◆ compare()

bool MyGUI::Any::compare | ( | const Any & | other | ) | const

Definition at line 44 of file MyGUI_Any.cpp.

## ◆ empty()

bool MyGUI::Any::empty | ( |  | ) | const

Definition at line 34 of file MyGUI_Any.cpp.

## ◆ getType()

const std::type_info & MyGUI::Any::getType | ( |  | ) | const

Definition at line 39 of file MyGUI_Any.cpp.

## ◆ operator=() [1/3]

Any & MyGUI::Any::operator= | ( | Any && | rhs | ) |
| defaultnoexcept

## ◆ operator=() [2/3]

Any & MyGUI::Any::operator= | ( | const Any & | rhs | ) |

Definition at line 26 of file MyGUI_Any.cpp.

## ◆ operator=() [3/3]

template<typename ValueType>

Any & MyGUI::Any::operator= | ( | const ValueType & | rhs | ) |
| inline

Definition at line 71 of file MyGUI_Any.h.

## Field Documentation

## ◆ Null

const Any MyGUI::Any::Null {}
| static

Definition at line 58 of file MyGUI_Any.h.

The documentation for this class was generated from the following files:

- MyGUI_Any.h
- MyGUI_Any.cpp